package speiger.src.coreengine.rendering.gui.helper.box;

public interface IScreenBox
{
	public float getBaseScale();
	
	public float getBaseWidth();
	
	public default float getSquaredBaseWidth()
	{
		float value = getBaseWidth();
		return value * value;
	}
	
	public float getBaseHeight();
	
	public default float getSquaredBaseHeight()
	{
		float value = getBaseWidth();
		return value * value;
	}
}
